package com.kmall.admin.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 实体
 * 表名 mall_freight_item
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-10-22 15:18:16
 */
public class FreightItemEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 运费模版id
     */
    private Integer freId;
    /**
     * 配送范围
     */
    private String deliveryArea;
    /**
     * 首件（个，kg，m³）
     */
    private String firstPiece;
    /**
     * 运费
     */
    private BigDecimal freight;
    /**
     * 续件（个，kg，m³）
     */
    private String continuePiece;
    /**
     * 续费
     */
    private BigDecimal renew;

    private Integer isDelete = 0;

    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：运费模版id
     */
    public void setFreId(Integer freId) {
        this.freId = freId;
    }

    /**
     * 获取：运费模版id
     */
    public Integer getFreId() {
        return freId;
    }
    /**
     * 设置：配送范围
     */
    public void setDeliveryArea(String deliveryArea) {
        this.deliveryArea = deliveryArea;
    }

    /**
     * 获取：配送范围
     */
    public String getDeliveryArea() {
        return deliveryArea;
    }
    /**
     * 设置：首件（个，kg，m³）
     */
    public void setFirstPiece(String firstPiece) {
        this.firstPiece = firstPiece;
    }

    /**
     * 获取：首件（个，kg，m³）
     */
    public String getFirstPiece() {
        return firstPiece;
    }
    /**
     * 设置：运费
     */
    public void setFreight(BigDecimal freight) {
        this.freight = freight;
    }

    /**
     * 获取：运费
     */
    public BigDecimal getFreight() {
        return freight;
    }
    /**
     * 设置：续件（个，kg，m³）
     */
    public void setContinuePiece(String continuePiece) {
        this.continuePiece = continuePiece;
    }

    /**
     * 获取：续件（个，kg，m³）
     */
    public String getContinuePiece() {
        return continuePiece;
    }
    /**
     * 设置：续费
     */
    public void setRenew(BigDecimal renew) {
        this.renew = renew;
    }

    /**
     * 获取：续费
     */
    public BigDecimal getRenew() {
        return renew;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }
}
